apiVersion: beaver.cloudcrane.io/v1alpha0
kind: Config
spec:
  variables:
  - name: VAULT_KV
    value: cnpp.k8s.cloudcrane.io
  charts:
    helm:
      postgres:
        name: postgresql
        values:
          config:
            datasource:
              password: "<path:{{.VAULT_KV}}/data/{{.namespace}}/postgres#password>"
          fullnameOverride: "pg-exporter-{{.namespace}}"
    ytt:
      odoo:
        name: odoo
        values: &DEFAULT_VALUES
        - key: vault.kv
          value: "{{.VAULT_KV}}"
        - key: namespace
          value: "{{.namespace}}"
      toto:
        name: toto
        values: *DEFAULT_VALUES
